GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ServerAsyncResponseWriter< W > Class Template Reference

`#include <async_unary_call.h>`

## Public Member Functions
| ServerAsyncResponseWriter (ServerContext *ctx)
void | SendInitialMetadata (void *tag) GRPC_OVERRIDE
void | Finish (const W &msg, const Status &status, void *tag)
void | FinishWithError (const Status &status, void *tag)
Public Member Functions inherited from grpc::ServerAsyncStreamingInterface
virtual | ~ServerAsyncStreamingInterface ()

## Constructor & Destructor Documentation

template<class W >

grpc::ServerAsyncResponseWriter< W >::ServerAsyncResponseWriter | ( | ServerContext * | ctx | ) |
| inline explicit

## Member Function Documentation

template<class W >

void grpc::ServerAsyncResponseWriter< W >::Finish | ( | const W & | msg,
|  | const Status & | status,
|  | void * | tag
| ) |  |
| inline

template<class W >

void grpc::ServerAsyncResponseWriter< W >::FinishWithError | ( | const Status & | status,
|  | void * | tag
| ) |  |
| inline

template<class W >

void grpc::ServerAsyncResponseWriter< W >::SendInitialMetadata | ( | void * | tag | ) |
| inline virtual

Implements grpc::ServerAsyncStreamingInterface.

The documentation for this class was generated from the following file:

- include/grpc++/async_unary_call.h